python-gnupg_0.4.4-1_all.deb


Advertisement

Description

python-gnupg - Python wrapper for the GNU Privacy Guard (Python 2.x)

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename python-gnupg_0.4.4-1_all.deb
Package name python-gnupg
Package version 0.4.4
Package release 1
Package architecture all
Package type deb
Category python
Homepage https://gnupg.readthedocs.io/en/latest/
License -
Maintainer Elena Grandi <valhalla@debian.org>
Download size 18.55 KB
Installed size 78.00 KB
Python-GnuPG allows easy and well-documented access to basic GnuPG
functionality such as generating and managing keys, encrypting and
decrypting data, signing and verifying messages.
This package provides Python 2.x version of python-gnupg.

Alternatives

Package Version Architecture Repository
python-gnupg_0.4.4-1_all.deb 0.4.4 all Debian Main
python-gnupg - - -

Requires

Name Value
gnupg -
python:any >= 2.7~
python:any << 2.8

Download

Type URL
Mirror ftp.br.debian.org
Binary Package python-gnupg_0.4.4-1_all.deb
Source Package python-gnupg

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-gnupg deb package:
    # sudo apt-get install python-gnupg

Files

Path
/usr/lib/python2.7/dist-packages/gnupg.py
/usr/lib/python2.7/dist-packages/python_gnupg-0.4.4.egg-info
/usr/share/doc/python-gnupg/changelog.Debian.gz
/usr/share/doc/python-gnupg/copyright

Changelog

2019-01-26 - Elena Grandi <valhalla@debian.org>
python-gnupg (0.4.4-1) unstable; urgency=medium
* Mark all packages Multi-Arch: foreign (closes: #918799).
* New upstream release
* Updated Standards-Version to 4.3.0 (no changes needed)
2018-11-24 - Elena Grandi <valhalla@debian.org>
python-gnupg (0.4.3-2) unstable; urgency=medium
* Backport fix for fingerprint collisions. (Closes: #913004, #850751)
* Updated Standards-Version to 4.2.1 (no changes needed)
* Added Upstream MEtadata GAthered with YAml.
2018-06-16 - Elena Grandi <valhalla@debian.org>
python-gnupg (0.4.3-1) unstable; urgency=medium
[ Elena Grandi ]
* New upstream release
- CVE-2018-12020 mitigation: Added --no-verbose to the gpg command line,
in case verbose is specified in gpg.conf
* Updated homepage
* Updated Standards-Version to 4.1.4 (no additional changes needed)
* Updated Maintainer email
* Refresh patches after git-dpm to gbp pq conversion
[ Ondřej Nový ]
* d/control: Remove ancient X-Python-Version field
* d/control: Remove ancient X-Python3-Version field
2018-02-24 - Elena Grandi <valhalla-d@trueelena.org>
python-gnupg (0.4.1-2) unstable; urgency=medium
[ Ondřej Nový ]
* d/control: Set Vcs-* to salsa.debian.org
* d/copyright: Use https protocol in Format field
* d/watch: Use https protocol
[ Elena Grandi ]
* Add explicit dependency on 2to3. (Closes: #889903)
* Update compat to 11
* Updated Standards-Version to 4.1.3 (no additional changes needed)
2017-09-08 - Elena Grandi <valhalla-d@trueelena.org>
python-gnupg (0.4.1-1) unstable; urgency=medium
* New upstream release
* Go back to using gpg (gnupg2) at build time and as default.
2016-10-21 - Elena Grandi <valhalla-d@trueelena.org>
python-gnupg (0.3.9-1) unstable; urgency=medium
* Removed patches merged upstream.
* New upstream release.
2016-08-17 - Elena Grandi <valhalla-d@trueelena.org>
python-gnupg (0.3.8-3) unstable; urgency=medium
[ Ondřej Nový ]
* Fixed VCS URL (https)
[ Elena Grandi ]
* Force using gpg1 at build time
* Default on gpg1
* Updated standard version to 3.9.8 (no changes needed)
* Add explicit build-dependency on gnupg1 (Closes: #834600)
2015-11-29 - Elena Grandi <valhalla-d@trueelena.org>
python-gnupg (0.3.8-2) unstable; urgency=medium
[Andreas Noteng <andreas@noteng.no>]
* Subkey fingerprints are no longer incorrectly captured (Closes: #802967)
2015-10-13 - Elena Grandi <valhalla-d@trueelena.org>
python-gnupg (0.3.8-1) unstable; urgency=medium
[ Elena Grandi ]
* New upstream release
* tarball signature manually checked from
https://pypi.python.org/pypi/python-gnupg/0.3.8
* Updated compat to 9
[ DPMT ]
* Update Vcs fields for git migration
2015-05-03 - Elena Grandi <valhalla-d@trueelena.org>
python-gnupg (0.3.7-2) unstable; urgency=medium
* Upload to sid of new upstream release.
* Converted to pybuild.

See Also

Package Description
python-gnuplot_1.8-6_all.deb Python interface to the gnuplot plotting program
python-gnuplotlib_0.28-1_all.deb Gnuplot-based plotter for numpy
python-gnutls_3.1.2-1_amd64.deb Python wrapper for the GNUTLS library
python-gobject-2-dev_2.28.6-13_all.deb development headers for the static GObject Python bindings
python-gobject-2_2.28.6-13+b1_amd64.deb deprecated static Python bindings for the GObject library
python-gobject_3.30.4-1_all.deb Python 2.x bindings for GObject - transitional package
python-goocalendar_0.4-2_all.deb Calendar widget for GTK+ using PyGoocanvas (Python 2)
python-google-auth_1.5.1-1_all.deb Google Authentication Library - Python 2.7
python-googleapi-samples_1.5.5-1_all.deb Google APIs Client Library for Python, samples
python-googleapi_1.5.5-1_all.deb Google APIs Client Library - Python 2.x
python-gpg_1.12.0-6_amd64.deb Python interface to the GPGME GnuPG encryption library (Python 2)
python-gphoto2-doc_1.9.0-1_all.deb Python interface to libgphoto2 (common documentation)
python-gphoto2cffi_0.4.3~a1-1_amd64.deb GPhoto2 bindings with simpler API
python-gpiozero_1.4.1-1.1_amd64.deb simple interface to everyday GPIO components used with Raspberry Pi (Python 2)
python-gpiv_2.0.0-4.2_amd64.deb wrapper of libgpiv
Advertisement
Advertisement